Ext.data.JsonP.ep_sslSwitch({"tagname":"class","name":"ep.sslSwitch","autodetected":{},"files":[{"filename":"sslswitch.js","href":"sslswitch.html#ep-sslSwitch"}],"members":[{"name":"addHandle","tagname":"method","owner":"ep.sslSwitch","id":"static-method-addHandle","meta":{"static":true}},{"name":"submit","tagname":"method","owner":"ep.sslSwitch","id":"static-method-submit","meta":{"static":true}}],"alternateClassNames":[],"aliases":{},"id":"class-ep.sslSwitch","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/sslswitch.html#ep-sslSwitch' target='_blank'>sslswitch.js</a></div></pre><div class='doc-contents'>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-addHandle' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.sslSwitch'>ep.sslSwitch</span><br/><a href='source/sslswitch.html#ep-sslSwitch-static-method-addHandle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.sslSwitch-static-method-addHandle' class='name expandable'>addHandle</a>( <span class='pre'></span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Add an handle to the SSL switch controller. ...</div><div class='long'><p>Add an handle to the SSL switch controller.</p>\n\n<p>The <code><a href=\"#!/api/ep.sslSwitch-static-method-addHandle\" rel=\"ep.sslSwitch-static-method-addHandle\" class=\"docClass\">ep.sslSwitch.addHandle</a>()</code> method adds handles to SSL switch controller, the controller\nexecute all handles before the location switch to SSL mode on submit the form.</p>\n\n<p>The <code><a href=\"#!/api/ep.sslSwitch-static-method-addHandle\" rel=\"ep.sslSwitch-static-method-addHandle\" class=\"docClass\">ep.sslSwitch.addHandle</a>()</code> method handles all <code>form</code> and <code>a</code> elements which are marked with the <code>SSLSwitch</code> class.</p>\n\n<h3>Examples</h3>\n\n<p>Send an additional parameter on switch to SSL mode.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.sslSwitch-static-method-addHandle\" rel=\"ep.sslSwitch-static-method-addHandle\" class=\"docClass\">ep.sslSwitch.addHandle</a>(function( event, form ){\n    $('&lt;input type=\"hidden\"&gt;')\n        .attr({\n            'name':     'example',\n            'value':    'test'\n        })\n        .appendTo(form);\n});\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.2</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'></span> : Function<div class='sub-desc'><p>\"function(event, form)\" Add an handle to the SSL switch controller. Receives the triggered event and the form element(jQuery object) as arguments</p>\n</div></li></ul></div></div></div><div id='static-method-submit' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.sslSwitch'>ep.sslSwitch</span><br/><a href='source/sslswitch.html#ep-sslSwitch-static-method-submit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.sslSwitch-static-method-submit' class='name expandable'>submit</a>( <span class='pre'>form</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Submit the givn SSL switch form. ...</div><div class='long'><p>Submit the givn SSL switch form.</p>\n\n<p>The <code><a href=\"#!/api/ep.sslSwitch-static-method-submit\" rel=\"ep.sslSwitch-static-method-submit\" class=\"docClass\">ep.sslSwitch.submit</a>()</code> method submits the givn form and switch location to SSL mode.</p>\n\n<p>You can overwrite this method to perform an way to submit the form, note that a form can be sent only once.\nIf you only want to modify the form or perform a method before the location switch to SSL mode, use the\n<code><a href=\"#!/api/ep.sslSwitch-static-method-addHandle\" rel=\"ep.sslSwitch-static-method-addHandle\" class=\"docClass\">ep.sslSwitch.addHandle</a>()</code> method.</p>\n\n<h3>Examples</h3>\n\n<p>Overwrite the SSL switch submit method.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.sslSwitch-static-method-submit\" rel=\"ep.sslSwitch-static-method-submit\" class=\"docClass\">ep.sslSwitch.submit</a> = function( form ){\n    form[0].submit();\n};\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.2</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>form</span> : Object<div class='sub-desc'><p>A form element(jQuery object).</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});