Ext.data.JsonP.ep_validate({"tagname":"class","name":"ep.validate","autodetected":{},"files":[{"filename":"validate.js","href":"validate2.html#ep-validate"}],"members":[{"name":"basic","tagname":"method","owner":"ep.validate","id":"static-method-basic","meta":{"static":true}},{"name":"creditcard","tagname":"method","owner":"ep.validate","id":"static-method-creditcard","meta":{"static":true}},{"name":"cssColor","tagname":"method","owner":"ep.validate","id":"static-method-cssColor","meta":{"static":true}},{"name":"cssSize","tagname":"method","owner":"ep.validate","id":"static-method-cssSize","meta":{"static":true}},{"name":"date","tagname":"method","owner":"ep.validate","id":"static-method-date","meta":{"static":true}},{"name":"email","tagname":"method","owner":"ep.validate","id":"static-method-email","meta":{"static":true}},{"name":"mimetype","tagname":"method","owner":"ep.validate","id":"static-method-mimetype","meta":{"static":true}},{"name":"number","tagname":"method","owner":"ep.validate","id":"static-method-number","meta":{"static":true}},{"name":"url","tagname":"method","owner":"ep.validate","id":"static-method-url","meta":{"static":true}}],"alternateClassNames":[],"aliases":{},"id":"class-ep.validate","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/validate2.html#ep-validate' target='_blank'>validate.js</a></div></pre><div class='doc-contents'>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-basic' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-basic' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-basic' class='name expandable'>basic</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Basic validate method. ...</div><div class='long'><p>Basic validate method.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-basic\" rel=\"ep.validate-static-method-basic\" class=\"docClass\">ep.validate.basic</a>()</code> method is a basic method for validation.</p>\n\n<h3>Examples</h3>\n\n<p>Validate a string.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-basic\" rel=\"ep.validate-static-method-basic\" class=\"docClass\">ep.validate.basic</a>( 'Lorem ipsum ...', {\n    required:   true,\n    pattern:    '^[\\w\\.]+$',\n    minlegth:   10,\n    maxlength:  20\n});\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate a string with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-basic\" rel=\"ep.validate-static-method-basic\" class=\"docClass\">ep.validate.basic</a>( 'Lorem ipsum ...', {\n    required:   true,\n    pattern:    '^[\\w\\.]+$',\n    minlegth:   10,\n    maxlength:  15\n});\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NOT_IN_RANGELENGTH\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li><li><span class='pre'>pattern</span> : String<div class='sub-desc'><p>A pattern string for regular expression.</p>\n</div></li><li><span class='pre'>minlength</span> : Integer<div class='sub-desc'><p>A minimum number of chars.</p>\n</div></li><li><span class='pre'>maxlength</span> : Integer<div class='sub-desc'><p>A maximum number of chars.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='static-method-creditcard' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-creditcard' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-creditcard' class='name expandable'>creditcard</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a creditcard number. ...</div><div class='long'><p>Validate a creditcard number.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-creditcard\" rel=\"ep.validate-static-method-creditcard\" class=\"docClass\">ep.validate.creditcard</a>()</code> method checks if the givn string an valid creditcard number.</p>\n\n<h3>Examples</h3>\n\n<p>Validate a creditcard number.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-creditcard\" rel=\"ep.validate-static-method-creditcard\" class=\"docClass\">ep.validate.creditcard</a>( '4111111111111111' )\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate a creditcard with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-creditcard\" rel=\"ep.validate-static-method-creditcard\" class=\"docClass\">ep.validate.creditcard</a>( '4112334589700711' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NO_CREDITCARD_NUMBER\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='static-method-cssColor' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-cssColor' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-cssColor' class='name expandable'>cssColor</a>( <span class='pre'>value</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a css color. ...</div><div class='long'><p>Validate a css color.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-cssColor\" rel=\"ep.validate-static-method-cssColor\" class=\"docClass\">ep.validate.cssColor</a>()</code> method checks if the givn string an css color.</p>\n\n<h3>Examples</h3>\n\n<p>Validate a css color.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-cssColor\" rel=\"ep.validate-static-method-cssColor\" class=\"docClass\">ep.validate.cssColor</a>( '#336699' );\n\n<a href=\"#!/api/ep.validate-static-method-cssColor\" rel=\"ep.validate-static-method-cssColor\" class=\"docClass\">ep.validate.cssColor</a>( 'green' );\n\n<a href=\"#!/api/ep.validate-static-method-cssColor\" rel=\"ep.validate-static-method-cssColor\" class=\"docClass\">ep.validate.cssColor</a>( 'rgb(100,200,50)' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate a css color with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-cssColor\" rel=\"ep.validate-static-method-cssColor\" class=\"docClass\">ep.validate.cssColor</a>( 'dunkelblau' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NO_COLOR_VALUE\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li></ul></div></div></div><div id='static-method-cssSize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-cssSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-cssSize' class='name expandable'>cssSize</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a css size. ...</div><div class='long'><p>Validate a css size.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-cssSize\" rel=\"ep.validate-static-method-cssSize\" class=\"docClass\">ep.validate.cssSize</a>()</code> method checks if the givn string an valid css size.</p>\n\n<h3>Examples</h3>\n\n<p>Validate an css size.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-cssSize\" rel=\"ep.validate-static-method-cssSize\" class=\"docClass\">ep.validate.cssSize</a>( '24em' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate an css size with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-cssSize\" rel=\"ep.validate-static-method-cssSize\" class=\"docClass\">ep.validate.cssSize</a>( '24pixel' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>UNKNOWN_UNIT\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li><li><span class='pre'>min</span> : Integer<div class='sub-desc'><p>A minimum valid number.</p>\n</div></li><li><span class='pre'>max</span> : Integer<div class='sub-desc'><p>A maximum valid number.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='static-method-date' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-date' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-date' class='name expandable'>date</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a date. ...</div><div class='long'><p>Validate a date.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-date\" rel=\"ep.validate-static-method-date\" class=\"docClass\">ep.validate.date</a>()</code> method checks if the givn string an valid date.</p>\n\n<h3>Examples</h3>\n\n<p>Validate a date.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-date\" rel=\"ep.validate-static-method-date\" class=\"docClass\">ep.validate.date</a>( '01.02.2011', {format: 'd', region: 'de'} );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate a date with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-date\" rel=\"ep.validate-static-method-date\" class=\"docClass\">ep.validate.date</a>( '01/02/2011', {format: 'd', region: 'de'} );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NO_DATE\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li><li><span class='pre'>format</span> : String<div class='sub-desc'><p>A date formatter [look at jQuery.i18n plugin].</p>\n</div></li><li><span class='pre'>region</span> : String<div class='sub-desc'><p>An i18n region [look at jQuery.i18n plugin].</p>\n</div></li><li><span class='pre'>strict</span> : Boolean<div class='sub-desc'><p>A boolean indication wether to validate in strict mode.</p>\n</div></li><li><span class='pre'>min</span> : Integer<div class='sub-desc'><p>A local timestamp (not UTC) as minimum valid date.</p>\n</div></li><li><span class='pre'>max</span> : Integer<div class='sub-desc'><p>A local timestamp (not UTC) as maximum valid date.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='static-method-email' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-email' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-email' class='name expandable'>email</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a email address. ...</div><div class='long'><p>Validate a email address.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-email\" rel=\"ep.validate-static-method-email\" class=\"docClass\">ep.validate.email</a>()</code> method checks if the givn string an valid email address.</p>\n\n<h3>Examples</h3>\n\n<p>Validate an email address.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-email\" rel=\"ep.validate-static-method-email\" class=\"docClass\">ep.validate.email</a>( 'mmustermann@epages.com' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate an email address with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-email\" rel=\"ep.validate-static-method-email\" class=\"docClass\">ep.validate.email</a>( 'mmustermann@epages' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NO_EMAIL\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li><li><span class='pre'>minlength</span> : Integer<div class='sub-desc'><p>A minimum number of chars.</p>\n</div></li><li><span class='pre'>maxlength</span> : Integer<div class='sub-desc'><p>A maximum number of chars.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='static-method-mimetype' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-mimetype' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-mimetype' class='name expandable'>mimetype</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a mimetype. ...</div><div class='long'><p>Validate a mimetype.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-mimetype\" rel=\"ep.validate-static-method-mimetype\" class=\"docClass\">ep.validate.mimetype</a>()</code> method checks if the givn string an valid mimetype and optional an accepted mimetype.</p>\n\n<h3>Examples</h3>\n\n<p>Validate a mimetype.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-mimetype\" rel=\"ep.validate-static-method-mimetype\" class=\"docClass\">ep.validate.mimetype</a>( 'image/jpeg' )\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate a mimetype with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-mimetype\" rel=\"ep.validate-static-method-mimetype\" class=\"docClass\">ep.validate.mimetype</a>( 'img' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NO_MIME\n</code></pre>\n\n<p>Validate an mimetype with accept option.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-mimetype\" rel=\"ep.validate-static-method-mimetype\" class=\"docClass\">ep.validate.mimetype</a>( 'image/jpeg', {accept:'text/*'} );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>MIME_NOT_ACCEPT\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li><li><span class='pre'>accept</span> : String<div class='sub-desc'><p>A list of accepted mimetypes or mimetype groups.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='static-method-number' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-number' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-number' class='name expandable'>number</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a number. ...</div><div class='long'><p>Validate a number.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-number\" rel=\"ep.validate-static-method-number\" class=\"docClass\">ep.validate.number</a>()</code> method checks if the givn string an valid number.</p>\n\n<h3>Examples</h3>\n\n<p>Validate a number.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-date\" rel=\"ep.validate-static-method-date\" class=\"docClass\">ep.validate.date</a>( '12,50', {format: 'n', region: 'de'} );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate a percent number.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-date\" rel=\"ep.validate-static-method-date\" class=\"docClass\">ep.validate.date</a>( '12,50 %', {format: 'p2', region: 'de'} );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate a number with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-date\" rel=\"ep.validate-static-method-date\" class=\"docClass\">ep.validate.date</a>( '12.50', {format: 'n', region: 'de'} );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NO_NUMBER\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li><li><span class='pre'>format</span> : String<div class='sub-desc'><p>A date formatter [look at the jQuery.i18n plugin].</p>\n</div></li><li><span class='pre'>region</span> : String<div class='sub-desc'><p>An i18n region [look at the jQuery.i18n plugin].</p>\n</div></li><li><span class='pre'>strict</span> : Boolean<div class='sub-desc'><p>A boolean indication wether to validate in strict mode.</p>\n</div></li><li><span class='pre'>min</span> : Integer<div class='sub-desc'><p>A minimum valid number.</p>\n</div></li><li><span class='pre'>max</span> : Integer<div class='sub-desc'><p>A maximum valid number.</p>\n</div></li></ul></div></li></ul></div></div></div><div id='static-method-url' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.validate'>ep.validate</span><br/><a href='source/validate2.html#ep-validate-static-method-url' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.validate-static-method-url' class='name expandable'>url</a>( <span class='pre'>value, [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Validate a url. ...</div><div class='long'><p>Validate a url.</p>\n\n<p>The <code><a href=\"#!/api/ep.validate-static-method-url\" rel=\"ep.validate-static-method-url\" class=\"docClass\">ep.validate.url</a>()</code> method checks if the givn string an valid url.</p>\n\n<h3>Examples</h3>\n\n<p>Validate an url.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-email\" rel=\"ep.validate-static-method-email\" class=\"docClass\">ep.validate.email</a>( 'http://www.epages.com' )\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>true\n</code></pre>\n\n<p>Validate an url with error return.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.validate-static-method-email\" rel=\"ep.validate-static-method-email\" class=\"docClass\">ep.validate.email</a>( 'epages' );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>NO_URL\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code><a href=\"#!/api/ep.color\" rel=\"ep.color\" class=\"docClass\">ep.color</a></code></li>\n<li><code>jQuery.mime</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : String<div class='sub-desc'><p>A text to validate</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of additional options pass to the method.</p>\n<ul><li><span class='pre'>required</span> : Boolean<div class='sub-desc'><p>A boolean indication wether the value is required.</p>\n</div></li><li><span class='pre'>minlength</span> : Integer<div class='sub-desc'><p>A minimum number of chars.</p>\n</div></li><li><span class='pre'>maxlength</span> : Integer<div class='sub-desc'><p>A maximum number of chars.</p>\n</div></li></ul></div></li></ul></div></div></div></div></div></div></div>","meta":{}});